## Version 1.11

### Добавлено

#### account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-304 | Опциональное поле `Description` в структуру запроса `UpdateCreateRequest` в cloudapi/account |
| BGOS-304 | Опциональное поле `Description` в структуры запроса `CreateRequest`, `UpdateCreateRequest` в cloudbroker/account |
| BGOS-304 | Поле `Description` в структуры ответа `ItemRG`, `RecordAccount`, `ItemAccount` в cloudapi/account и cloudbroker/account |
| BGOS-316 | Опциональное поле `Reason` в структуру запроса `DisableEnableRequest` в cloudapi/account |
| BGOS-316 | Опциональное поле `Reason` в структуры запроса `RestoreRequest`, `DisableAccountsRequest`, `DisableRequest` в cloudbroker/account |

#### apiaccess
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-306 | Метод `GetDefault` и структура ответа `ItemAPIAccessDefault`  в cloudbroker/apiaccess |
| BGOS-309 | Обязательные поля `APIGroup`, `APIMethod`, `APIObject` в структуру запроса `APIFindRequest` в cloudbroker/apiaccess |
| BGOS-309 | Поле `DPDK` в структуры ответа `CloudAPIEndpoints` и `CloudBrokerEndpoints` в cloudbroker/apiaccess |

#### audit
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-307 | Опциональное поле `RequestID` в структуру запроса `ListRequest` в cloudapi/audit |
| BGOS-337 | Поле `PhysicalNode` в структуру ответа `ItemLinkedJobs` в cloudbroker/audit |
| BGOS-395 | Поле `TTL` в структуру ответа `RecordAudit` в cloudbroker/audit |
| BGOS-395 | Поля `Args`, `Kwargs`, `RemoteAddr`, `Result`, `TimestampEnd`, `TTL` в структуру ответа `ItemAudit` в cloudbroker/audit |
| BGOS-340 | Поле `Tags` в структуре ответа `ItemAudit` в cloudbroker/audit |

### bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-317 | Опциональное поле `Chipset` в структуру запроса `GroupAddRequest` в cloudapi/bservice |
| BGOS-354 | Опциональное поле `Chipset` в структуру запроса `GroupResizeRequest` в cloudapi/bservice |
| BGOS-357 | Поле `Chipset` в структуру ответа `ItemGroupCompute` в cloudapi/bservice |

#### compute
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-311 | Опциональное поле `StackName` в структуру запроса `ListRequest` в cloudbroker/list |
| BGOS-312 | Опциональные поля `LoaderType`, `BootType`, `NetworkInterfaceNaming`, `HotResize` в структуру запроса `UpdateRequest` в cloudapi/compute и cloudbroker/compute |
| BGOS-312 | Поля `LoaderType`, `BootType`, `NetworkInterfaceNaming`, `HotResize` в структуры ответа `InfoCompute`, `RecordCompute`, `ItemCompute` в cloudapi/compute и cloudbroker/compute |
| BGOS-348 | Полe `NID` в структуру ответа `ItemCompute` в cloudbroker/compute |
| BGOS-348 | Структуры ответов `ItemDeletedCompute`, `ListDeletedComputes` в  cloudbroker/compute |
| BGOS-388 | Поля `UpdatedBy`, `SizeAvailable` в структуру ответа `ItemDisk` в  cloudapi/compute |
| BGOS-388 | Поле `SizeAvailable` в структуру ответа `ItemDisk` в  cloudbroker/compute |
| BGOS-392 | Метод `ChangeMAC` и структура запроса `ChangeMACRequest`  в cloudapi/compute и cloudbroker/compute |
| BGOS-403 | Опциональное поле `MACAddr` в cloudapi/compute/netAttach и cloudbroker/compute/netAttach |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-318 | Опциональное поле `Name` в структуру запроса `DeleteRequest` в cloudbroker/disks |
| BGOS-408 | Поля `DeletedBy`, `CreatedBy`, `MachineID`, `MachineName`, `UpdatedTime` и `Milestones` в структуру ответа `ItemDisk` и `RecordDisk` в cloudapi/disks |
| BGOS-408 | Поля `DeletedBy`, `CreatedBy`, `UpdatedTime` и `UpdatedBy` в структуру ответа `RecordDisk` в cloudbroker/disks |
| BGOS-401 | Поля `SizeAvailable` и `UpdatedBy` в структуру ответа `InfoDisk` в cloudbroker/disks |
| BGOS-401 | Поля `SizeAvailable` и `UpdatedBy` в структуры ответа `ItemDisk` и `RecordDisk` в cloudapi/disks |

#### extnet
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-356 | Опциональное поле `OVSBridge` в структуру запроса `ListRequest` в cloudapi/extnet |
| BGOS-351 | Поле `NTP` в структуру ответа `RecordExtNet` в cloudapi/extnet и cloudbroker/extnet |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-315 | Поле `SnapshotID` в структуру ответа `RecordImage` в cloudapi/image |

#### k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-304 | Поле `Description` в структуру ответа `RecordK8S` в cloudapi/k8s и cloudbroker/k8s |

#### kvmx86
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-312 | Опциональные поля `LoaderType`, `BootType`, `NetworkInterfaceNaming`, `HotResize` в структуру запроса `CreateBlankRequest` в cloudapi/kvmx86 и cloudbroker/kvmx86 |
| BGOS-312 | Опциональное поле `MAC` в структуру запроса `Interface` в cloudapi/kvmx86 и cloudbroker/kvmx86 |

#### node
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-397 | Метод `SetVFsParams` и структура запроса `SetVFsParamsRequest` в cloudbroker/node |

#### prometheus
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-405 | Метод `Computes` структура запроса `ComputesRequest` и структура ответа `ComputesData` в cloudbroker/prometheus |

#### resmon
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-341 | Поля `ID`, `SizeAvailable` в структуру ответа `ItemDisk` сloudbroker/resmon |

#### sep
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-343 | Метод `GetTemplate` и структура запроса `GetTemplateRequest` в cloudbroker/sep |
| BGOS-301 | Метод `ListAvailableSEPAndPools` структура запроса `ListAvailableSEPAndPoolsRequest` и структура ответа `ListAvailableSEP` в cloudapi/sep и cloudbroker/sep |
| BGOS-299 | Обязательное поле `Force` в структуру запроса `DelConsumerNodesRequest` в cloudbroker/sep |

#### stack
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-389 | Структура ответа `LibGuestFSTools` входящая в структуру ответа `Packages` в cloudbroker/stack |

#### user
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-303 | Опциональное поле `SortBy` в структуру запроса  `GetAuditRequest` cloudapi/user |

#### vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-300 | Опциональное поле `Status` в структуру запроса `ListRequest` cloudapi/vins и cloudbroker/vins |

### Удалено

#### apiaccess
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-309 | Обязательное поле `APIName` из структуры запроса `APIFindRequest` в cloudbroker/apiacces |
| BGOS-309 | Метод `GetPreGroups` в cloudbroker/apiaccess |
| BGOS-309 | Опциональное поле `CreatedBy` из структуры запроса `ListRequest` в cloudbroker/apiaccess |
| BGOS-309 | Метод `ListDeletedRequest` и структура запроса `ListDeletedRequest` и  в cloudbroker/apiaccess |
| BGOS-309 | Поля `CreatedBy`, `UpdatedBy`, `DeletedBy`, `Milestone` из структуры ответа `ItemAPIAccess` в cloudbroker/apiaccess |

#### compute
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-338 | Опциональное поле `Depresent` из структуры запроса `StopRequest` в cloudbroker/compute |
| BGOS-344 | Методы `RepairBootFS`, `MassRepairBootFS`, `Registration` в cloudbroker/compute |
| BGOS-353 | Поля `PCISlot`, `BusNumber` из структуры ответа `InfoDisk` в cloudapi/compute и cloudbroker/compute |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-298 | Опциональные поля `Type, SSDSize` из структуры запроса `CreateRequest` в cloudapi/disks и cloudbroker/disks |
| BGOS-338 | Обязательное поле `GID` из структуры запроса `CreateRequest` в cloudapi/disks и cloudbroker/disks |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-338 | Обязательное поле `GID` из структур запроса `CreateRequest`, `CreateCDROMImageRequest` в cloudbroker/image |

#### node
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-308 | Опциональное поле `VDiskAction` из структуры запроса `MaintenanceRequest` в cloudbroker/node |

#### rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-342 | Опциональное поле `RegisterComputes` из структур запроса `CreateRequest`, `UpdateRequest` в cloudapi/rg и cloudbroker/rg |

### Исправлено

#### apiaccess
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-308 | Изменены все теги `json` и `url` в структурах ответов и запросов с `CamelCase` на `snake_case` в cloudbroker/apiaccess |

#### audit
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-346 | Изменены все теги `json` и `url` в структурах запросов с `CamelCase` на `snake_case` в cloudapi/audit и cloudbroker/audit |

#### compute
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-314 | Измененен тип с `[]uint64` на `map[strint]uint64` полей `PresentTo` в структурах ответа `ItemComputeDisk`, `ItemDisk` в cloudapi/compute и cloudbroker/compute |
| BGOS-355 | Переименованны поля с `Pinned` на `PinnedToStack`  в структурах ответа `InfoCompute, RecordCompute, ItemCompute` в cloudapi/compute и cloudbroker/compute  |
| BGOS-355 | Изменен тип поля с `PinnedToStack` (ранее `Pinned`) с `bool` на `int` в структурах ответа `InfoCompute, RecordCompute` в cloudbroker/compute  |
| BGOS-388 | Изменен json тег поля `PCISlot` с `pciSlot` на `pci_slot` в структурах ответа `ItemDisk`  в cloudapi/compute и cloudbroker/compute |
| BGOS-392 | Изменены все теги `json` и `url` в структуре запроса `ChangeIPRequest`  с `CamelCase` на `snake_case` в cloudapi/compute и cloudbroker/compute |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-314 | Измененен тип с `[]uint64` на `map[strint]uint64` полей `PresentTo` в структурах ответа `ItemDiskUnattached`, `RecordDisk`, `ItemDisk`, `InfoDisk` в cloudapi/disks и cloudbroker/disks |
| BGOS-408 | Перенесены поля с `MachindeID` и `MachineName` из структуры ответа `ItemDisk` в `RecordDisk` в cloudbroker/disks |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-314 | Измененен тип с `[]uint64` на `map[strint]uint64` полей `PresentTo` в структурах ответа `ItemImage`, `RecordImage` в cloudapi/image и cloudbroker/image |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-305 | Изменен тип опционального поля `AccountIDs` c []uint64 на []int64 в моделях `GrantAccessRequest`, `RevokeAccessRequest` в cloudbroker/image |

#### resmon
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-341 | Изменен тип поле `SizeUsed`, `SizeMax` с int64 на float64 в структуре ответа `ItemDisk` сloudbroker/resmon |

#### sep
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BGOS-398 | Обязательные поля `Trust` и `Spoofchk` заменены на `VFParams` в структуре запроса `SetVFsNumberRequest` в cloudbroker/node |
